Bug 607260 - [abrt] crash in thunderbird-3.0.4-2.fc12: Process /usr/lib/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
[abrt] crash in thunderbird-3.0.4-2.fc12: Process /usr/lib/thunderbird-3.0/th...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:5f300fcdce74c077d27378e26d1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 12:26 EDT by Johann Cohen-Tanugi
Modified: 2010-12-03 08:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:43:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (94.28 KB, text/plain)
2010-06-23 12:26 EDT, Johann Cohen-Tanugi
no flags Details

  None (edit)
Description Johann Cohen-Tanugi 2010-06-23 12:26:26 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/thunderbird-3.0/thunderbird-bin
component: thunderbird
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib/thunderbird-3.0/thunderbird-bin
global_uuid: 5f300fcdce74c077d27378e26d10ba650a426c01
kernel: 2.6.32.14-127.fc12.i686
package: thunderbird-3.0.4-2.fc12
rating: 4
reason: Process /usr/lib/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
release: Omega 12.1 Fedora Remix release 12 (Omega 12.1 Fedora Remix)

comment
-----
It crashed while I was looked away! No idea what happened
Comment 1 Johann Cohen-Tanugi 2010-06-23 12:26:29 EDT
Created attachment 426305 [details]
File: backtrace
Comment 2 d. johnson 2010-08-17 14:31:39 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update' or using the graphical updater, Software Update.


Disable any extensions, plugins and non-default themes.  Exit cleanly and restart thunderbird.  Are you able to replicate the crash?


#3  <signal handler called>
No symbol table info available.
#4  0x09a2a997 in nsSSLThread::requestRecvMsgPeek (si=0xa36de600, buf=
    0xbfb2b643, amount=1, flags=2, timeout=0)
    at /usr/include/bits/string3.h:52
        threadLock = {<nsAutoLockBase> = {<No data fields>}, mLock = 
    0xaf320400, mLocked = 1}
        realSSLFD = <value optimized out>
#5  0x09a39983 in PSMRecv (fd=0xaa3d3f00, buf=0xbfb2b643, amount=1, flags=2, 
    timeout=0)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/security/manager/ssl/src/nsNSSIOLayer.cpp:2038
        locker = {<No data fields>}
        socketInfo = 0xa36de600
#6  0x02a4043e in PR_Recv (fd=0xaa3d3f00, buf=0xbfb2b643, amount=1, flags=2, 
    timeout=0) at ../../../mozilla/nsprpub/pr/src/io/priometh.c:220
No locals.
#7  0x082eeb33 in nsSocketTransport::IsAlive (this=0xa8ae4f60, result=
    0xbfb2b6b4)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mozilla/netwerk/base/src/nsSocketTransport2.cpp:1808
        fd = 0xaa3d3f00
        c = 6 '\006'
        rval = <value optimized out>
#8  0x062f5a94 in nsImapProtocol::CanHandleUrl (this=0xa36afc00, aImapUrl=
    0xa8ffc360, aCanRunUrl=0xbfb2b7f8, hasToWait=0xbfb2b7f4)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mailnews/imap/src/nsImapProtocol.cpp:2081
        isAlive = <value optimized out>
        rv = 0
        isBusy = 0
        isInboxConnection = 0
        curSelectedUrlFolderName = {<nsFixedCString> = {<nsCString> = 
    {<nsACString_internal> = {mData = 
    0xf8f88dc0 <Address 0xf8f88dc0 out of bounds>, mLength = 297396, mFlags = 
    103588765}, <No data fields>}, mFixedCapacity = 106014460, mFixedBuf = 
    0x4c22353f <Address 0x4c22353f out of bounds>}, mStorage = 
    "^\213\f\000\374\246Q\006P\240B\261\234\267\262\277\311\037-\006 \374j\243\000\244\200\246\000K\266g\000\000\000\000\343?\034\006\374\246Q\006\316\025\005\371\264\211\004\000\024\374j\243\021\000\001\000\035\000\000"}
        imapState = <value optimized out>
        isSelectedStateUrl = <value optimized out>
        msgUrl = {<nsCOMPtr_base> = {mRawPtr = 0xb1462288}, <No data fields>}
        server = {<nsCOMPtr_base> = {mRawPtr = 0x8a5c9e4}, <No data fields>}
        mon = {<nsAutoLockBase> = {<No data fields>}, mLockObject = 
    0xa36afc00, mLockCount = 1}
        inSelectedState = <value optimized out>
        actionForProposedUrl = <value optimized out>
        pendingUrlFolderName = {<nsFixedCString> = {<nsCString> = 
    {<nsACString_internal> = {mData = 0xa1aefaf8 "GRID", mLength = 0, 
                mFlags = 2974163592}, <No data fields>}, mFixedCapacity = 
    44500304, mFixedBuf = 0xbfb2b77c "\035"}, mStorage = 
    "\034\267\262\277\303\211\033\006\200\334G\261d\331;\006|\267\262\277d\331;\006 \244\200\246\005\000\000\000\066\303\303\000+\356\245\002<\267\262\277\000\000\000\000<\267\262\277\275\243,\006P\240B\261d\331;\006"}
#9  0x062d21b0 in nsImapIncomingServer::GetImapConnection (this=0xb142a050, 
    aEventTarget=0xb7586650, aImapUrl=0xa8ffc360, aImapConnection=0xbfb2b8b4)
    at /usr/src/debug/thunderbird-3.0.4/comm-1.9.1/mailnews/imap/src/nsImapIncomingServer.cpp:732
        badConnection = <value optimized out>
        i = 1
        rv = 0
        canRunButBusy = 0
        connection = {<nsCOMPtr_base> = {mRawPtr = 
    0xa36afc00}, <No data fields>}
        freeConnection = {<nsCOMPtr_base> = {mRawPtr = 
    0xa4b07400}, <No data fields>}
        isBusy = 0
        isInboxConnection = 0
        requiredState = <value optimized out>
        canRunUrlImmediately = 0
        maxConnections = 5
        cnt = <value optimized out>
        userCancelled = 0
#10 0x062d2a6a in nsImapIncomingServer::GetImapConnectionAndLoadUrl (this=




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2010-11-03 08:55:29 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 08:43:39 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.